Problème configuration raspberry pi en serveur web

L'auteur de ce sujet a trouvé une solution à son problème.
Auteur du sujet

Bonjour,

j'aimerais configurer mon rapsberry pi en serveur web (comme ici), mais arriver au moment de vérifier qu'apache fonctionne, je tape la ligne

1
wget -O verif_apache.html http://127.0.0.1

et il me dit "connexion refusé".

avez-vous une idée de solution ?

merci d'avance,

Binos13

Édité par binos13

+0 -0

Est-ce que tu lances cette commande depuis ton RPi ? Si oui, il est probable que ton serveur apache ne soit simplement pas démarré. Est-ce que tu pourrais nous transmettre le retour de la commande service apache2 status ?

+0 -0

Il semblerait qu'Apache ne soit tout simplement pas installé. Retente de te connecter dessus, réinstalle-le et vérifie que apt-get (ou ton gestionnaire de paquets) ne renvoie pas d'erreur.

Chez moi, j'ai ça :

 1
 2
 3
 4
 5
 6
 7
 8
 9
10
● apache2.service - LSB: Apache2 web server
   Loaded: loaded (/etc/init.d/apache2)
   Active: active (running) since mar. 2016-01-26 18:01:04 CET; 3h 29min ago
     Docs: man:systemd-sysv-generator(8)
  Process: 5126 ExecReload=/etc/init.d/apache2 reload (code=exited, status=0/SUCCESS)
  Process: 1031 ExecStart=/etc/init.d/apache2 start (code=exited, status=0/SUCCESS)
   CGroup: /system.slice/apache2.service
           ├─1137 /usr/sbin/apache2 -k start
           ├─5141 /usr/sbin/apache2 -k start
           └─5142 /usr/sbin/apache2 -k start

"Il n’y a pas que la violence physique qui pose problème. La violence verbale marque probablement encore davantage." Joseph Schovanec

+0 -0
Auteur du sujet

j'ai de nouveau essayer de l'installer et il me redemande confirmation 2 fois et affiche beaucoup de ligne (voir ci-dessous)

pi@raspberrypi ~ $ sudo aptitude install apache2 Les NOUVEAUX paquets suivants vont être installés :
apache2 apache2-bin{a} apache2-data{a} apache2-utils{a} libapr1{a} libaprutil1{a} libaprutil1-dbd-sqlite3{a} libaprutil1-ldap{a} liblua5.1-0{a} ssl-cert{a} 0 paquets mis à jour, 10 nouvellement installés, 0 à enlever et 0 non mis à jour. Il est nécessaire de télécharger 1 746 ko d'archives. Après dépaquetage, 5 235 ko seront utilisés. Voulez-vous continuer ? [Y/n/?] y ATTENTION : des versions non certifiées des paquets suivants vont être installées.

Des paquets non certifiés peuvent compromettre la sécurité de votre système. Vous ne devriez les installer que si vous êtes certain que c'est bien votre intention.

libaprutil1-dbd-sqlite3 apache2-bin ssl-cert liblua5.1-0 libapr1 libaprutil1 apache2-utils apache2-data apache2 libaprutil1-ldap

Voulez-vous ignorer cet avertissement et continuer quand même ? Pour continuer, entrer « Oui ». Pour interrompre l'installation, entrer « Non » : oui Erreur http://mirrordirector.raspbian.org/raspbian/ jessie/main apache2-bin armhf 2.4.10-10+deb8u3 404 Not Found [IP : 5.153.225.207 80] Erreur http://mirrordirector.raspbian.org/raspbian/ jessie/main apache2-utils armhf 2.4.10-10+deb8u3 404 Not Found [IP : 5.153.225.207 80] Erreur http://mirrordirector.raspbian.org/raspbian/ jessie/main apache2-data all 2.4.10-10+deb8u3 404 Not Found [IP : 5.153.225.207 80] Erreur http://mirrordirector.raspbian.org/raspbian/ jessie/main apache2 armhf 2.4.10-10+deb8u3 404 Not Found [IP : 5.153.225.207 80] Prendre : 1 http://mirrordirector.raspbian.org/raspbian/ jessie/main libapr1 armhf 1.5.1-3 [77,1 kB] Prendre : 2 http://mirrordirector.raspbian.org/raspbian/ jessie/main libaprutil1 armhf 1.5.4-1 [75,9 kB] Prendre : 3 http://mirrordirector.raspbian.org/raspbian/ jessie/main libaprutil1-dbd-sqlite3 armhf 1.5.4-1 [17,7 | kB] Prendre : 4 http://mirrordirector.raspbian.org/raspbian/ jessie/main libaprutil1-ldap armhf 1.5.4-1 [16,7 kB] Prendre : 5 http://mirrordirector.raspbian.org/raspbian/ jessie/main liblua5.1-0 armhf 5.1.5-7.1 [83,7 kB] Prendre : 6 http://mirrordirector.raspbian.org/raspbian/ jessie/main ssl-cert all 1.0.35 [20,9 kB] 292 ko téléchargés en 12s (23,9 ko/s)
Préconfiguration des paquets… Sélection du paquet libapr1:armhf précédemment désélectionné. (Lecture de la base de données… 116795 fichiers et répertoires déjà installés.) Préparation du dépaquetage de …/libapr1_1.5.1-3_armhf.deb … Dépaquetage de libapr1:armhf (1.5.1-3) … Sélection du paquet libaprutil1:armhf précédemment désélectionné. Préparation du dépaquetage de …/libaprutil1_1.5.4-1_armhf.deb … Dépaquetage de libaprutil1:armhf (1.5.4-1) … Sélection du paquet liblua5.1-0:armhf précédemment désélectionné. Préparation du dépaquetage de …/liblua5.1-0_5.1.5-7.1_armhf.deb … Dépaquetage de liblua5.1-0:armhf (5.1.5-7.1) … Sélection du paquet libaprutil1-dbd-sqlite3:armhf précédemment désélectionné. Préparation du dépaquetage de …/libaprutil1-dbd-sqlite3_1.5.4-1_armhf.deb … Dépaquetage de libaprutil1-dbd-sqlite3:armhf (1.5.4-1) … Sélection du paquet libaprutil1-ldap:armhf précédemment désélectionné. Préparation du dépaquetage de …/libaprutil1-ldap_1.5.4-1_armhf.deb … Dépaquetage de libaprutil1-ldap:armhf (1.5.4-1) … Sélection du paquet ssl-cert précédemment désélectionné. Préparation du dépaquetage de …/ssl-cert_1.0.35_all.deb … Dépaquetage de ssl-cert (1.0.35) … Traitement des actions différées (« triggers ») pour man-db (2.7.0.2-5) … Paramétrage de libapr1:armhf (1.5.1-3) … Paramétrage de libaprutil1:armhf (1.5.4-1) … Paramétrage de liblua5.1-0:armhf (5.1.5-7.1) … Paramétrage de libaprutil1-dbd-sqlite3:armhf (1.5.4-1) … Paramétrage de libaprutil1-ldap:armhf (1.5.4-1) … Paramétrage de ssl-cert (1.0.35) … Traitement des actions différées (« triggers ») pour libc-bin (2.19-18+deb8u1) … E: impossible de récupérer http://mirrordirector.raspbian.org/raspbian/pool/main/a/apache2/apache2-bin_2.4.10-| | | 10+deb8u3_armhf.deb : 404 Not Found [IP : 5.153.225.207 80]

et il me redit la même chose avec service apache2 status

Édité par binos13

+0 -0

Apparemment, tu as un problème de dépôts. Quand je vais sur http://mirrordirector.raspbian.org/raspbian/dists/jessie/main/ je vois que l'adresse a changé. Ta version de Raspbian est récente?

Pour connaître ta version de Raspbian (et de toutes les dérivées Debian) fais :

1
cat /etc/issue

Tu peux tenter de redonner à ta Raspbian les nouvelles adresses des dépôts. Pour les miroirs Français, tu dois éditer le fichier /etc/apt/sources.list et y rajouter les adresses des dépôts, et télécharger les clés pour apt-get. Tu peux copier / coller cette macro-commande qui devrait se charger de tout ça :

1
echo 'deb https://goddess-gate.com/archive.raspbian.org/raspbian/ wheezy main contrib non-free' | sudo tee -a /etc/apt/sources.list ; echo 'deb-src https://goddess-gate.com/archive.raspbian.org/raspbian/ wheezy main contrib non-free' | sudo tee -a /etc/apt/sources.list ; wget https://goddess-gate.com/archive.raspbian.org/raspbian.public.key -O - | sudo apt-key add - ; sudo apt-get update ; sudo apt-get install apache2

En gros, cette "macro-commande" ajoute les dépôts suivants dans le fichier /etc/apt/sources.list :

1
2
deb https://goddess-gate.com/archive.raspbian.org/raspbian/ wheezy main contrib non-free
deb-src https://goddess-gate.com/archive.raspbian.org/raspbian/ wheezy main contrib non-free

Ensuite, elle télécharge le trousseau de clés pour ces dépôts pour apt-get, elle met à jour la liste des paquets puis elle installe le paquet apache2.

"Il n’y a pas que la violence physique qui pose problème. La violence verbale marque probablement encore davantage." Joseph Schovanec

+0 -0
Auteur du sujet

J'avait télécharger Rasbian en novembre ou décembre 2015, avec ta commande il me répond

1
Rasbian GNU/Linux 8 \n \l

J'ai copier coller ta macro-commande et il me répond :

 1
 2
 3
 4
 5
 6
 7
 8
 9
10
11
12
13
14
15
16
17
18
19
20
21
22
23
24
25
26
27
28
29
30
31
32
33
34
35
36
37
38
39
40
41
42
43
44
45
46
47
48
49
deb https://goddess-gate.com/archive.raspbian.org/raspbian/ wheezy main contrib non-free
deb-src https://goddess-gate.com/archive.raspbian.org/raspbian/ wheezy main contrib non-free
--2016-01-27 16:30:12--  https://goddess-gate.com/archive.raspbian.org/raspbian.public.key
Résolution de goddess-gate.com (goddess-gate.com)… 176.31.99.148, 2001:41d0:8:1494::1
Connexion à goddess-gate.com (goddess-gate.com)|176.31.99.148|:443… connecté.
requête HTTP transmise, en attente de la réponse… 200 OK
Taille : 1776 (1,7K) [application/pgp-keys]
Sauvegarde en : « STDOUT »

-                   100%[=====================>]   1,73K  --.-KB/s   ds 0,001s 

2016-01-27 16:30:13 (1,97 MB/s) — envoi vers sortie standard [1776/1776]

OK
E: Le pilote pour la méthode /usr/lib/apt/methods/https n'a pu être trouvé.
N: Is the package apt-transport-https installed?
Lecture des listes de paquets... Fait
Construction de l'arbre des dépendances       
Lecture des informations d'état... Fait
Les paquets supplémentaires suivants seront installés : 
  apache2-bin apache2-data apache2-utils
Paquets suggérés :
  apache2-doc apache2-suexec-pristine apache2-suexec-custom
Les NOUVEAUX paquets suivants seront installés :
  apache2 apache2-bin apache2-data apache2-utils
0 mis à jour, 4 nouvellement installés, 0 à enlever et 0 non mis à jour.
Il est nécessaire de prendre 1 454 ko dans les archives.
Après cette opération, 4 405 ko d'espace disque supplémentaires seront utilisés.
Souhaitez-vous continuer ? [O/n] o
ATTENTION : les paquets suivants n'ont pas été authentifiés.
  apache2-bin apache2-utils apache2-data apache2
Faut-il installer ces paquets sans vérification ? [o/N] o
Err http://mirrordirector.raspbian.org/raspbian/ jessie/main apache2-bin armhf 2.4.10-10+deb8u3
  404  Not Found [IP : 5.153.225.207 80]
Err http://mirrordirector.raspbian.org/raspbian/ jessie/main apache2-utils armhf 2.4.10-10+deb8u3
  404  Not Found [IP : 5.153.225.207 80]
Err http://mirrordirector.raspbian.org/raspbian/ jessie/main apache2-data all 2.4.10-10+deb8u3
  404  Not Found [IP : 5.153.225.207 80]
Err http://mirrordirector.raspbian.org/raspbian/ jessie/main apache2 armhf 2.4.10-10+deb8u3
  404  Not Found [IP : 5.153.225.207 80]
E: Impossible de récupérer http://mirrordirector.raspbian.org/raspbian/pool/main/a/apache2/apache2-bin_2.4.10-10+deb8u3_armhf.deb  404  Not Found [IP : 5.153.225.207 80]

E: Impossible de récupérer http://mirrordirector.raspbian.org/raspbian/pool/main/a/apache2/apache2-utils_2.4.10-10+deb8u3_armhf.deb  404  Not Found [IP : 5.153.225.207 80]

E: Impossible de récupérer http://mirrordirector.raspbian.org/raspbian/pool/main/a/apache2/apache2-data_2.4.10-10+deb8u3_all.deb  404  Not Found [IP : 5.153.225.207 80]

E: Impossible de récupérer http://mirrordirector.raspbian.org/raspbian/pool/main/a/apache2/apache2_2.4.10-10+deb8u3_armhf.deb  404  Not Found [IP : 5.153.225.207 80]

E: Impossible de récupérer certaines archives, peut-être devrez-vous lancer apt-get update ou essayer avec --fix-missing ?

Il me dit toujours connexion refusé

Édité par binos13

+0 -0

Ah en effet, ça peut pas être un soucis d'ancienneté.

Essaye avec :

1
2
sudo apt-get install apt-transport-https
sudo apt-get update

Si tout se passe bien, tu peut retenter d'installer apache2. Sinon, pourrait-tu me renvoyer le résultat de ces deux commandes stp?

1
2
sudo apt-get install --fix-missing
cat /etc/apt/sources.list

La première tente d'installer tout paquet qui pourrait manquer et qui est nécessaire, et la deuxième renvoie le contenu du fichier où sont stockés les adresses des dépôts.

Cela dit, j'ai bon espoir que l'installation de apt-transport-https résolve le problème.

"Il n’y a pas que la violence physique qui pose problème. La violence verbale marque probablement encore davantage." Joseph Schovanec

+0 -0
Auteur du sujet

la première commande, il me renvoit

 1
 2
 3
 4
 5
 6
 7
 8
 9
10
11
12
13
14
15
16
17
18
19
20
Lecture des listes de paquets... Fait
Construction de l'arbre des dépendances       
Lecture des informations d'état... Fait
Les paquets suivants ont été installés automatiquement et ne sont plus nécessaires :
  libapr1 libaprutil1 libaprutil1-dbd-sqlite3 libaprutil1-ldap liblua5.1-0
  ssl-cert
Veuillez utiliser « apt-get autoremove » pour les supprimer.
Les NOUVEAUX paquets suivants seront installés :
  apt-transport-https
0 mis à jour, 1 nouvellement installés, 0 à enlever et 0 non mis à jour.
Il est nécessaire de prendre 133 ko dans les archives.
Après cette opération, 185 ko d'espace disque supplémentaires seront utilisés.
ATTENTION : les paquets suivants n'ont pas été authentifiés.
  apt-transport-https
Faut-il installer ces paquets sans vérification ? [o/N] o
Err http://mirrordirector.raspbian.org/raspbian/ jessie/main apt-transport-https armhf 1.0.9.8.1
  404  Not Found [IP : 5.153.225.207 80]
E: Impossible de récupérer http://mirrordirector.raspbian.org/raspbian/pool/main/a/apt/apt-transport-https_1.0.9.8.1_armhf.deb  404  Not Found [IP : 5.153.225.207 80]

E: Impossible de récupérer certaines archives, peut-être devrez-vous lancer apt-get update ou essayer avec --fix-missing ?

et la deuxième

1
2
E: Le pilote pour la méthode /usr/lib/apt/methods/https n'a pu être trouvé.
N: Is the package apt-transport-https installed?

pour la deuxieme partie, il me renvoit:

1
2
3
4
5
6
7
8
Lecture des listes de paquets... Fait
Construction de l'arbre des dépendances       
Lecture des informations d'état... Fait
Les paquets suivants ont été installés automatiquement et ne sont plus nécessaires :
  libapr1 libaprutil1 libaprutil1-dbd-sqlite3 libaprutil1-ldap liblua5.1-0
  ssl-cert
Veuillez utiliser « apt-get autoremove » pour les supprimer.
0 mis à jour, 0 nouvellement installés, 0 à enlever et 0 non mis à jour.

et

1
2
3
4
5
6
7
deb http://mirrordirector.raspbian.org/raspbian/ jessie main contrib non-free rpi
# Uncomment line below then 'apt-get update' to enable 'apt-get source'
#deb-src http://archive.raspbian.org/raspbian/ jessie main contrib non-free rpi
deb https://goddess-gate.com/archive.raspbian.org/raspbian/ wheezy main contrib non-free
deb-src https://goddess-gate.com/archive.raspbian.org/raspbian/ wheezy main contrib non-free
deb https://goddess-gate.com/archive.raspbian.org/raspbian/ wheezy main contrib non-free
deb-src https://goddess-gate.com/archive.raspbian.org/raspbian/ wheezy main contrib non-free

Édité par binos13

+0 -0

Ok, les nouveaux dépôts sont bien là et il n'y a pas de problème de dépendances. Par contre, je vois une ligne commentée dans la liste des sources. Essaye de l'ouvrir et d'enlever la dièse du début de la ligne 3 et remet à jour la liste des paquets :

1
2
3
4
#Ici, je le fais avec nano, mais tu peut utiliser n'importe quel éditeur de texte
sudo nano /etc/apt/sources.list
#Supprime la dièse de la ligne 3 et enregistre
sudo apt-get update

Normalement, l’exécution de apt-get devrait prendre un peu plus de temps et il devrait télécharger une nouvelle archive. S'il ne renvoie aucun code d'erreur, tu peut retenter d'installer apache2.

Sinon, tu peut essayer d'installer directement le paquet deb manquant. Il est téléchargeable à cette adresse : http://http.us.debian.org/debian/pool/main/a/apt/apt-transport-https_1.2.1_arm64.deb

1
2
wget http://http.us.debian.org/debian/pool/main/a/apt/apt-transport-https_1.2.1_arm64.deb
sudo dpkg -i apt-transport-https_1.2.1_arm64.deb

Si l'installation par dpkg se passe bien, tu peut retenter d'installer apache2 avec apt-get.

"Il n’y a pas que la violence physique qui pose problème. La violence verbale marque probablement encore davantage." Joseph Schovanec

+0 -0

Salut :)

Les dépôt commençant par deb-src indique des dépôt contenant le code source des programme. Ça n'a d'intérêt que si tu compiles ou créer des paquets ou si tu veux télécharger les sources.

De plus, ces lignes concerne la distribution précédente. En théorie, rien ne devrait s'installer à partir de ces dépôts puisque les paquets doivent y être en version plus ancienne. Ton fichier sources.list pourrait ne contenir que ça

1
deb http://mirrordirector.raspbian.org/raspbian/ jessie main contrib non-free rpi

Sinon, tu peut essayer d'installer directement le paquet deb manquant. Il est téléchargeable à cette adresse : http://http.us.debian.org/debian/pool/main/a/apt/apt-transport-https_1.2.1_arm64.deb

D'une manière générale, c'est une mauvaise pratique qui risque de mettre le bazar :/

@binos13 : es-tu certain que tu peux atteindre les dépôts déjà. Essaye de faire un ping vers les dépôts Raspbian

1
ping -c1 mirrordirector.raspbian.org
+0 -0

Les dépôt commençant par deb-src indique des dépôt contenant le code source des programme. Ça n'a d'intérêt que si tu compiles ou créer des paquets ou si tu veux télécharger les sources.

Ah c'est vrai, au temps pour moi.

D'une manière générale, c'est une mauvaise pratique qui risque de mettre le bazar :/

Je me confesse, parfois j'ai un peu tendance à faire des bricolages à l'arrache jusqu'à ce que ça marche.

"Il n’y a pas que la violence physique qui pose problème. La violence verbale marque probablement encore davantage." Joseph Schovanec

+0 -0

Je me confesse, parfois j'ai un peu tendance à faire des bricolages à l'arrache jusqu'à ce que ça marche.

C'est comme ça qu'on apprend remarque, mais les bêtises, c'est mieux sur sa machine que celle des autres ;) D'autant qu'a priori, c'est pas arm64, mais armhf l'architecture du RPI.

+1 -0
Auteur du sujet

@rezemika il me remet le même message après sudo apt-get update:

1
2
E: Le pilote pour la méthode /usr/lib/apt/methods/https n'a pu être trouvé.
N: Is the package apt-transport-https installed?

@bendia voilà ce qu'il me répond après ping -c1 mirrordirector.raspbian.org

1
2
3
4
5
6
PING mirrordirector.raspbian.org (5.153.225.207) 56(84) bytes of data.
64 bytes from mirrordirector.raspbian.org (5.153.225.207): icmp_seq=1 ttl=48 time=66.3 ms

--- mirrordirector.raspbian.org ping statistics ---
1 packets transmitted, 1 received, 0% packet loss, time 0ms
rtt min/avg/max/mdev = 66.346/66.346/66.346/0.000 ms

Édité par binos13

+0 -0

Sinon, tu peut essayer d'installer directement le paquet deb manquant. Il est téléchargeable à cette adresse : http://http.us.debian.org/debian/pool/main/a/apt/apt-transport-https_1.2.1_arm64.deb

1
2
wget http://http.us.debian.org/debian/pool/main/a/apt/apt-transport-https_1.2.1_arm64.deb
sudo dpkg -i apt-transport-https_1.2.1_arm64.deb

rezemika

As-tu effectuer cette manip qu'il valait mieux éviter ?

+0 -0

J'ai jamais vu un binz pareil avec Debian Stable. C'est peut-être le résultat d'un fichier sources.list exotique et de l'installation à moitié faite de apt-transport-https.

Je ne sais pas si tu es habitué aux outils apt, mais en gros, dans l'ordre, tu commences toujours par mettre à jour la liste des paquets disponible dans les dépôts avec sudo apt-get update, puis, tu installes avec sudo apt-get install <ton_paquet> (sudo est utilisé par défaut sous Rasbian, mais ça n'est pas le cas sous Debian)

Dans un premier temps, on peut vérifier que les sources sont propres (une seule ligne suffit pour l'usage que tu souhaites faire de Raspbian)

1
2
cat /etc/apt/sources.list
ls /etc/apt/sources.list.d

Ensuite, tu peux essayer de nettoyer le cache des paquets avec

1
sudo apt-get clean

Tu pourras ensuite essayer de mettre à jour la liste des paquets (apt-get update), si apt-transport-https ne nous casse pas les pieds. Sinon, on essayera de s'en débarrasser :)

+0 -0
Auteur du sujet

Bonsoir,

il me dit:

1
2
3
4
5
deb http://mirrordirector.raspbian.org/raspbian/ jessie main contrib non-free rpi
# Uncomment line below then 'apt-get update' to enable 'apt-get source'
deb-src http://archive.raspbian.org/raspbian/ jessie main contrib non-free rpi
deb https://goddess-gate.com/archive.raspbian.org/raspbian/ wheezy main contrib non-free
deb-src https://goddess-gate.com/archive.raspbian.org/raspbian/ wheezy main contrib non-free

puisraspi.list

j'ai nettoyé le cache sans erreur. J'ai relancé apt-get update, mais il me casse toujours les pieds avec apt-transport-https. Comment faire pour qu'il arrête enfin de nous embêter ?

+0 -0
Vous devez être connecté pour pouvoir poster un message.
Connexion

Pas encore inscrit ?

Créez un compte en une minute pour profiter pleinement de toutes les fonctionnalités de Zeste de Savoir. Ici, tout est gratuit et sans publicité.
Créer un compte